# -*- coding: utf-8 -*-
#
# File: maintenance_utils.py
#
# Copyright (c) 2008 by []
#
# GNU General Public License (GPL)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#
__author__ = """Davide Moro <davide.moro@redomino.com>"""
__docformat__ = 'plaintext'


import logging
from StringIO import StringIO

from zope.component import queryUtility

from redomino.autodelete.utils.interfaces import IAutoDelete
from redomino.autodelete.config import PROJECTNAME

def runAutodelete(self):
    """ Delete expired contents """

    out = StringIO()
    logger = logging.getLogger(PROJECTNAME)

    auto_delete = queryUtility(IAutoDelete)
    if auto_delete:
        for item in auto_delete.run_autodelete():
            print >> out, item
    else:
        msg = "AutoDelete utility not found"
        logger.exception(msg)
        print >> out, msg

    return out.getvalue()

